Willkommen im Objektdefinitionsmanager

Willkommen in der Online-Hilfe für den Objektdefinitionsmanager, ein Hilfsmittel zum Erstellen und Verwalten von Objektdefinitionen (Eigenschaften), die problemlos auf Feldrechner übertragen und im Feld genutzt werden können. In einer Bürosoftware können Sie die Objekte zusammen mit den aufgezeichneten Messdaten auswerten und an andere Systeme wie CAD-Anwendungen exportieren.

Grundlagen zum Objektdefinitionsmanager

„Objekte“ stellen natürliche oder künstliche Objekte dar, die während der Aufnahme erfasst werden. Dazu gehören Bäume, Zäune, Tore, Schilder, Masten und Gebäude. Um die Objektinformationen dieser Objekte schnell und effektiv zu erfassen, kommen auf Feldrechnern im Voraus definierte Objektbibliotheken, die „Objektdefinitionen“, zum Einsatz, aus denen im Feld der passende Objektcode gewählt werden kann. Dabei werden dem Objekt die zugehörigen Eigenschaften zugewiesen (zum Beispiel Objektname und Code, das Symbol für Grafikansichten und andere, frei definierbare Attribute).

Es gibt zwei grundlegende Objekttypen, die jeweils eine eigene Gruppe von Objektdefinitionen verwenden:

  • Ein Punktobjekt markiert ein einzelnes Objekt, zum Beispiel einen Baum oder einen Mast. Eine Punktobjektdefinition wird über das Symbol [image] im Explorer-Fenster markiert.
  • Ein Linienobjekt besteht aus mindestens zwei Punkten, die eine Linie definieren, zum Beispiel einen Zaun oder einen Weg. Eine Linienobjektdefinition wird über das Symbol [image] im Explorer-Fenster markiert. Linienobjekte können auch Linienkontrollcodes enthalten, die Linienobjekte detaillierter beschreiben (zum Beispiel um Linien, Kurven und Bögen zwischen Punkten hinzuzufügen).

Verwandte Themen

Ablauf im Objektdefinitionsmanager

Erläuterung der Benutzeroberfläche


Ablauf im Objektdefinitionsmanager

Die folgenden Schritte stellen eine grobe Übersicht für das Arbeiten mit dem Objektdefinitionsmanager dar. Klicken Sie für Einzelheiten auf die Links.

  1. Öffnen oder erstellen Sie eine Objektdefinitionsdatei (.fxl). Sie können Objektdefinitionsdaten auch übertragen oder importieren.
  2. Definieren oder bearbeiten Sie die Eigenschaften der Objektdefinitionsdatei (.fxl).
  3. Erstellen und bearbeiten Sie Objektdefinitionskategorien.
  4. Erstellen und bearbeiten Sie Objektdefinitionen.
  5. Erstellen und bearbeiten Sie Symbole für Objektdefinitionen.
  6. Erstellen und bearbeiten Sie Offsetlinien für Linienobjektdefinitionen.
  7. Definieren und bearbeiten Sie Attribute für Objektdefinitionen.
  8. Erstellen und bearbeiten Sie Linienkontrollcodes.
  9. Erstellen Sie Gruppen von Objektdefinitionscodes und Linienkontrollcodes.
  10. Speichern Sie die Objektdefinitionsdatei (.fxl).
  11. Exportieren Sie die Datei oder übertragen Sie sie auf einen Feldrechner.

Verwandte Themen

Willkommen im Objektdefinitionsmanager

Erläuterung der Benutzeroberfläche


Erläuterung der Benutzeroberfläche

Die Benutzeroberfläche des Objektdefinitionsmanagers enthält häufig benutzte Steuerelemente.

Benutzeroberfläche

Menüleiste

Diese Leiste enthält alle Befehle. Dabei haben Sie folgende Möglichkeiten:

  • Klicken Sie auf einen Menüpunkt.
  • Drücken Sie ALT und den unterstrichenen Buchstaben des Menüpunktes (mnemonisch). Sie können dann einen anderen unterstrichenen Buchstaben drücken oder Ihre Auswahl mit den Pfeiltasten (Auf/Ab) treffen und die Eingabetaste drücken.

Symbolleisten

Hier können Sie die häufigsten Befehle über Symbole?aufrufen.

Die Symbolleiste bietet auch eine Suchefunktion, in der Sie einen Objektcode eingeben können. Durch Drücken der Eingabetaste wird das Objekt ermittelt und im Explorer-Fenster angezeigt.

Explorer-Fenster

In diesem Fenster wird eine Baumansicht von Kategorien, Objekten, Linienkontrollcodes und Gruppen der Dateien angezeigt. Über das Explorer -Fenster können Sie die Elemente Ihrer Dateien schnell und bequem kontrollieren, auswählen, bewegen und verwalten.

Folgende Möglichkeiten stehen im Explorer-Fenster zur Verfügung:

  • Öffnen mehrerer Dateien
  • Per Rechtsklick und Auswahl im Kontextmenü können Sie neue Dateien, Kategorien, Objekte und Gruppen erstellen.

Fenster für Eigenschaften und Attribute

Hier können Sie die Eigenschaften ausgewählter Dateien, Kategorien, Objekte, Gruppen und Linienkontrollcodes aufrufen und bearbeiten.

Grafikansicht

Hier sehen Sie Objektsymbole und Anmerkungen in der Grafikansicht und können Anmerkungen auswählen und verschieben.

Hinweis: Um den Ausschnitt der grafischen Ansicht zu verschieben, klicken und ziehen Sie die mittlere Maustaste. Um die Ansicht zu vergrößern oder zu verkleinern, scrollen Sie mit dem Mausrad.

Statusleiste

Hier werden die aktuellen Kategorien, Objektnamen und die Cursorposition in der grafischen Darstellung angezeigt.

Verwandte Themen

Willkommen im Objektdefinitionsmanager

Ablauf im Objektdefinitionsmanager


Hilfe

Im Hilfesystem lassen sich die benötigten Informationen auf verschiedene Weisen finden.

Optionen
Inhalt | Klicken Sie auf dieses Register, um alle Hilfethemen als Baumstruktur zu zeigen. Klicken Sie auf ein Kapitel oder Thema, um es zu lesen.
Suchen | Geben Sie einen Suchbegriff in das Suchefeld ein. Klicken Sie dann auf Themenliste, um das Wort innerhalb der Hilfethemen zu suchen. Wählen Sie das gewünschte Thema und klicken Sie zum Öffnen auf Anzeigen. Das gesuchte Wort wird in jedem Hilfethema markiert. Lesen Sie dazu auch Suchbegriffhervorhebung aktivieren/deaktivieren unten.
Verbergen/Anzeigen | blendet die Register Inhalt und Suchen ein oder aus.
Zurück | zeigt das vorherige Thema an.
Drucken | öffnet den Dialog Drucken. Wählen Sie eine Option, um das gewählte Thema oder das Thema mit allen Unterthemen zu drucken.
Optionsmenü
Abbrechen | beendet die Suche.
Aktualisieren | setzt die Anzeige der aktuellen Seite zurück.
Internetoptionen | öffnet den Dialog Internetoptionen, in dem Sie Sicherheit, Datenschutz, Inhalte, Verbindungen, Programme und andere Interneteinstellungen vornehmen können.
Suchbegriffhervorhebung aktivieren/deaktivieren | aktiviert bzw. deaktiviert das Markieren des gesuchten Wortes in den Themen.

Verwandte Themen

Willkommen im Objektdefinitionsmanager


Feedback senden

Wir bemühen uns stets, Ihnen eine verständliche und nützliche Dokumentation bereitzustellen. Wenn Sie Anregungen oder Verbesserungsvorschläge für die Hilfe, die Versionshinweise, die Touren, die Tutorien oder die Ablaufleitfäden haben, schreiben Sie uns bitte:
OSG_Documentation@Trimble.com

Alle eingereichten Hinweise und Vorschläge werden dadurch Eigentum der Trimble Navigation Limited.


Verwalten von Objektdefinitionsdateien (.fxl)

Objektdefinitionsdateien (.fxl) enthalten die folgenden Daten in einem speziellen Objektdefinitionsmanager-Format:

  • Objektdefinitionskategorien
  • Objektdefinitionen
  • Objektattribute
  • Linienkontrollcodes
  • Objektdefinitions- und Linienkontrollgruppen
  • Symbole und Linienstile

Verwandte Themen

Erstellen von Objektdefinitionsdateien (.fxl)

Öffnen von Objektdefinitionsdateien (.fxl)

Umwandeln von FCL-Dateien in FXL-Dateien

Eingeben und Bearbeiten der Eigenschaften von Objektdefinitionsdateien (.fxl)

Eigenschaften von Objektdefinitionsdateien (.fxl)

Erstellen von Vorlagen für Objektdefinitionsdateien (.fxl)

Speichern von Objektdefinitionsdateien (.fxl)


Erstellen von Objektdefinitionsdateien (.fxl)

So erstellen Sie eine neue Objektdefinitionsdatei (.fxl):

  1. Wählen Sie eines dieser Verfahren:
    • Wählen Sie Datei > Neues Projekt.
    • Klicken Sie auf [image] in der Symbolleiste.

    Ein neues Ordnersymbol mit dem Namen Neue Datei erscheint im Explorer-Fenster und die Dateieigenschaften werden angezeigt.

  2. Klicken Sie auf ein Feld, um die benötigten Werte einzugeben.

    Detaillierte Anleitungen finden Sie unter Dateieigenschaften.

    Hinweis: Der Wert „0“ bedeutet, dass es keine Beschränkung gibt.

  3. Wählen Sie abschließend eines der folgenden Verfahren:
    • Wählen Sie Datei > Speichern.
    • Klicken Sie auf [image] in der Symbolleiste.

    Der Dialog Speichern erscheint.

  4. Geben Sie im Dialog Speichern einen Namen für die Datei ein und wählen Sie Dateityp und Speicherpfad aus. Klicken Sie dann auf OK.

Neue Datei im Explorer-Fenster wird durch den gewählten Pfad und Dateinamen ersetzt.

Verwandte Themen

Verwalten von Objektdefinitionsdateien (.fxl)

Öffnen von Objektdefinitionsdateien (.fxl)

Umwandeln von FCL-Dateien in FXL-Dateien

Eingeben und Bearbeiten der Eigenschaften von Objektdefinitionsdateien (.fxl)

Eigenschaften von Objektdefinitionsdateien (.fxl)

Erstellen von Vorlagen für Objektdefinitionsdateien (.fxl)

Speichern von Objektdefinitionsdateien (.fxl)


Öffnen von Objektdefinitionsdateien (.fxl)

So öffnen Sie eine Objektdefinitionsdatei (.fxl):

  1. Wählen Sie eines dieser Verfahren:
    • Wählen Sie Datei > Öffnen.
    • Klicken Sie auf [image] in der Standardsymbolleiste.

    Der Dialog Datei öffnen erscheint.

  2. Wählen Sie im Dialog Datei öffnen die gewünschte Datei und klicken Sie auf OK.

    Im Explorer-Fenster werden das Dateisymbol und die Dateieigenschaften angezeigt.

    Hinweise:
    - Die FXL-Beispieldatendatei für den Objekt-Definitionsmanager wird im Anwendungsunterordner im Ordner für Programmdateien abgelegt. Beim Öffnen der Software wird jedoch eine zweite Version, die Sie über das Menü Datei öffnen können, in einem Unterordner des Ordners Eigene Dateien angelegt. Sie sollten diese Version der Datei anstelle der Originalversion im Anwendungsunterordner des Ordners für Programmdateien verwenden.
    - Normalerweise werden alle Objektdefinitionsdateien (FXL) im Objekt-Definitionsmanager im aktuellsten Versionsformat geöffnet und gespeichert, welches zu Trimble-Access- und Survey-Controller-Versionen ab 12.40 kompatibel ist.

Verwandte Themen

Verwalten von Objektdefinitionsdateien (.fxl)

Erstellen von Objektdefinitionsdateien (.fxl)

Umwandeln von FCL-Dateien in FXL-Dateien

Eingeben und Bearbeiten der Eigenschaften von Objektdefinitionsdateien (.fxl)

Eigenschaften von Objektdefinitionsdateien (.fxl)

Erstellen von Vorlagen für Objektdefinitionsdateien (.fxl)

Speichern von Objektdefinitionsdateien (.fxl)


Umwandeln von FCL-Dateien in FXL-Dateien

So wandeln Sie eine FCL-Datei in eine FXL-Datei um:

  1. Wählen Sie Datei > Datei umwandeln. Der Dialog Datei umwandeln erscheint.
  2. Geben Sie den Namen und Pfad der umzuwandelnden FCL-Datei in das Feld Quelldatei auswählen ein oder klicken Sie auf [image] und wählen Sie die gewünschte FCL-Datei.
  3. Geben Sie Pfad und Dateinamen für die Zieldatei im FXL-Format in das Feld Ziel definieren ein oder klicken Sie auf [image] und wählen Sie die gewünschte FXL-Datei.
  4. Wählen Sie die Sprache der FCL-Datei in der Liste Sprache auswählen.
  5. Wählen Sie die FXL-Version, die verwendet werden soll.
  6. Klicken Sie auf OK.

    Das Dateisymbol für die neue FXL-Datei wird im Fenster Projekt-Explorer angezeigt.


Eingeben und Bearbeiten der Eigenschaften von Objektdefinitionsdateien (.fxl)

So definieren oder bearbeiten Sie die Eigenschaften von Objektdefinitionsdateien (.fxl):

  1. Wählen Sie im Explorer-Fenster die Datei, die Sie verwenden möchten.
  2. Wählen Sie eines dieser Verfahren:
    • Wählen Sie Datei > Eigenschaften.
    • Klicken Sie auf [image] in der Symbolleiste.

    Das Fenster Dateieigenschaften erscheint.

  3. Klicken Sie auf ein Feld, um die benötigten Werte einzugeben.

    Detaillierte Anleitungen finden Sie unter Dateieigenschaften.

    Hinweis: Der Wert „0“ bedeutet, dass es keine Beschränkung gibt.

  4. Wählen Sie abschließend eines der folgenden Verfahren:
    • Wählen Sie Datei > Speichern.
    • Klicken Sie auf [image] in der Symbolleiste.

    Wenn Sie die Eigenschaften für eine neue Datei erstmalig festlegen, erscheint der Dialog Speichern. Geben Sie im Dialog Speichern einen Namen für die Datei ein und wählen Sie Dateityp und Speicherpfad aus. Klicken Sie dann auf OK.

Verwandte Themen

Verwalten von Objektdefinitionsdateien (.fxl)

Erstellen von Objektdefinitionsdateien (.fxl)

Öffnen von Objektdefinitionsdateien (.fxl)

Umwandeln von FCL-Dateien in FXL-Dateien

Eigenschaften von Objektdefinitionsdateien (.fxl)

Erstellen von Vorlagen für Objektdefinitionsdateien (.fxl)

Speichern von Objektdefinitionsdateien (.fxl)


Eigenschaften von Objektdefinitionsdateien (.fxl)

Verwenden Sie diese Optionen, um den Autor, die Beschreibung, die Art von Objektcodes (nur numerisch) und die maximale Länge bestimmter Felder zu definieren. Sie finden sie im Fenster Dateieigenschaften.

Optionen
Autor | Geben Sie den Namen des Erstellers der Datei ein.
Beschreibung | Geben Sie weitere Informationen über die Datei an.
Erstelldatum | zeigt das schreibgeschützte Datum der ersten Speicherung der Datei an.
Änderungsdatum | zeigt das schreibgeschützte Datum der letzten Speicherung der Datei an.
gibt an, ob Objektcodes numerisch sein müssen. | Nein lässt alphanumerische Codes zu. Ja lässt nur numerische Codes zu.
Maximale Länge des Attributnamens | Hier können Sie die maximale Anzahl an Zeichen für das jeweilige Feld Name für ein Attribut bestimmen. Hinweis: Der Wert „0“ bedeutet, dass es keine Beschränkung gibt.
Maximale Länge des Kategorienamens | Hier können Sie die maximale Anzahl an Zeichen für das jeweilige Feld Name für eine Kategorie bestimmen.
Maximale Länge des Objektnamens | Hier können Sie die maximale Anzahl an Zeichen für das jeweilige Feld Name für ein Objekt bestimmen.
Maximale Länge des Objektcodes | Geben Sie einen Wert für die größte zulässige Anzahl Zeichen in einem Codefeld für Objekte ein.
Maximale Anzahl an Codes/Gruppen | Geben Sie einen Wert für die größte zulässige Anzahl Objekt- oder Kontrollcodes in einer Gruppe ein. Dieser Wert richtet sich nach dem Feldrechner, den Sie einsetzen.

Verwandte Themen

Verwalten von Objektdefinitionsdateien (.fxl)

Erstellen von Objektdefinitionsdateien (.fxl)

Öffnen von Objektdefinitionsdateien (.fxl)

Umwandeln von FCL-Dateien in FXL-Dateien

Eingeben und Bearbeiten der Eigenschaften von Objektdefinitionsdateien (.fxl)

Erstellen von Vorlagen für Objektdefinitionsdateien (.fxl)

Speichern von Objektdefinitionsdateien (.fxl)


Erstellen von Vorlagen für Objektdefinitionsdateien (.fxl)

Sie können eine Vorlage oder mehrere Vorlagen mit den am häufigsten verwendeten Objektdaten anlegen. Ihr Aufwand wird geringer und die Informationsbeständigkeit zwischen Projekten ist gesichert.

So erstellen Sie eine Vorlage:

  1. Öffnen Sie eine ähnliche Datei wie die zu erstellende Vorlage oder erstellen Sie eine neue Datei.

    Hinweis: Einzelheiten zu den folgenden Schritten finden Sie in den jeweiligen Hilfethemen.

  2. Stellen Sie die Dateieigenschaften wie gewünscht ein.
  3. Erstellen, bearbeiten oder löschen Sie Kategorien, Objekte, Attribute, Kontrollcodes und Gruppen nach Belieben.
  4. Erstellen, bearbeiten oder löschen Sie Anmerkungen und Symbole nach Belieben.
  5. Wählen Sie Datei > Speichern unter. Der Dialog Speichern unter erscheint.
  6. So verfahren Sie im Dialog Speichern unter:
    1. Geben Sie einen Namen für die Datei ein.
    2. Wählen Sie den Dateityp aus.
    3. Legen Sie den Speicherort für die Datei fest.
    4. Klicken Sie auf OK.

Verwandte Themen

Verwalten von Objektdefinitionsdateien (.fxl)

Erstellen von Objektdefinitionsdateien (.fxl)

Öffnen von Objektdefinitionsdateien (.fxl)

Umwandeln von FCL-Dateien in FXL-Dateien

Eingeben und Bearbeiten der Eigenschaften von Objektdefinitionsdateien (.fxl)

Eigenschaften von Objektdefinitionsdateien (.fxl)

Speichern von Objektdefinitionsdateien (.fxl)


Speichern von Objektdefinitionsdateien (.fxl)

Speichern Sie die Objektdefinitionsdatei frühzeitig und häufig ab.

Achtung: Änderungen werden erst beim manuellen Speichervorgang gesichert.

So speichern Sie eine Objektdefinitionsdatei (.fxl):

  1. Wählen Sie eines dieser Verfahren:
    • Wählen Sie Datei > Speichern.
    • Klicken Sie auf [image] in der Symbolleiste.

    Wenn die Datei bereits abgespeichert wurde, wird kein weiterer Dialog aufgerufen und die Datei gespeichert. Wenn die Datei zum ersten Mal gespeichert wird, erscheint der Dialog Speichern.

  2. So verfahren Sie im Dialog Speichern:
    1. Geben Sie einen Namen für die Datei ein.
    2. Wählen Sie den Dateityp aus.
    3. Legen Sie den Speicherort für die Datei fest.
    4. Klicken Sie auf OK. Neue Datei im Explorer-Fenster wird durch den gewählten Pfad und Dateinamen ersetzt.

So speichern Sie eine Objektdefinitionsdatei (.fxl) unter einem neuen Namen:

  1. Wählen Sie Datei > Speichern unter. Der Dialog Speichern unter erscheint.
  2. So verfahren Sie im Dialog Speichern unter:
    1. Geben Sie einen Namen für die Datei ein.
    2. Wählen Sie den Dateityp aus.
    3. Legen Sie den Speicherort für die Datei fest.
    4. Klicken Sie auf OK. Der neue Dateiname wird im Explorer-Fenster angezeigt.

Verwandte Themen

Verwalten von Objektdefinitionsdateien (.fxl)

Erstellen von Objektdefinitionsdateien (.fxl)

Öffnen von Objektdefinitionsdateien (.fxl)

Umwandeln von FCL-Dateien in FXL-Dateien

Eingeben und Bearbeiten der Eigenschaften von Objektdefinitionsdateien (.fxl)

Eigenschaften von Objektdefinitionsdateien (.fxl)

Erstellen von Vorlagen für Objektdefinitionsdateien (.fxl)


Übertragen und Importieren von Objektdefinitionsdaten

Sie können Objektdefinitionsdaten direkt von einem Feldrechner übertragen oder aus einer Datei importieren.

Hinweis: Für das Importieren oder Übertragen von Daten muss zuvor eine Datei geöffnet worden sein. Importierte oder heruntergeladene Daten werden in der aktuellen Datei abgespeichert.

So übertragen Sie Objektdefinitionsdaten von einem Feldrechner:

  1. Verbinden Sie den Feldrechner mit Ihrem Computer.
  2. Klicken Sie auf Datei > Importieren. Der Dialog Datei importieren erscheint.
  3. Klicken Sie auf Download von einem Gerät.
  4. Wählen Sie den entsprechenden Feldrechner in der Liste Gerätenamen aus.
  5. Wählen Sie ein Programm aus der Liste Anwendungen.
  6. Klicken Sie auf OK. Die übertragenen Daten werden in der Datei im Explorer-Fenster angezeigt.

So importieren Sie Objektdefinitionsdaten aus einer Datei:

  1. Klicken Sie auf Datei > Importieren. Der Dialog Datei importieren erscheint.
  2. Klicken Sie auf Import aus Datei.
  3. Geben Sie Pfad und Dateinamen im Feld Quelldatei ein oder klicken Sie auf die Schaltfläche [image] und wählen Sie die gewünschte Datei.
  4. Wählen Sie ein Programm aus der Liste Anwendungen.
  5. Klicken Sie auf OK. Die importieren Daten werden in der Datei im Explorer-Fenster angezeigt.

Verwandte Themen

Import- und Download-Optionen

Importieren und Exportieren von Formaten

Importieren von Data-Dictionary-Dateien (.ddf)


Import- und Download-Optionen

Mit diesen Optionen können Sie externe Daten von anderen Anwendungen oder Feldrechnern importieren. Sie finden Sie im Dialog Dateiimport.

Der Objektdefinitionsmanager verwendet das Dateiformat FXL, mit dem Objektdefinitionen effizient gespeichert und verwaltet werden können. Dank der Importfunktion des Managers können Sie auch viele andere Formate bearbeiten.

Optionen
Quelldatei | Geben Sie Pfad und Dateinamen für den Import an oder klicken Sie auf die Schaltfläche [image] und wählen Sie die gewünschte Datei.
Dateityp | Hier wird das Format der ausgewählten Datei angezeigt.
Importieren aus einer Datei | Klicken Sie hier, wenn Sie auf Ihrem lokalen System oder im Netzwerk gespeicherte Dateien auswählen möchten.
Herunterladen von einem Gerät | Klicken Sie hier, wenn Sie auf einem angeschlossenen Feldrechner gespeicherte Dateien auswählen möchten.
Gerätename | Hier wird der Name des angeschlossenen Feldrechners angezeigt.
Anwendung | Wählen Sie hier die Feldsoftware, mit der die Objektdatei benutzt werden soll.

Verwandte Themen

Übertragen und Importieren von Objektdefinitionsdaten

Importieren und Exportieren von Formaten

Importieren von Data-Dictionary-Dateien (.ddf)


Importieren und Exportieren von Formaten

Mit dem Objektdefinitionsmanager können Sie Daten von verschiedenen anderen Softwareprogrammen importieren, bzw. dorthin exportieren.

Importieren | Dateiformat | Exportieren
 | .fal: Objekt- und Attributbiblitotheksdatei |
 | .ddf: Data-Dictionary-Datei |
 | .csv: Einfache Textdatei |
 | .lst: Nikon-Code-Listen-Datei |
 | XML: Geodatabase-Datei |

Verwandte Themen

Übertragen und Importieren von Objektdefinitionsdaten

Importieren von Data-Dictionary-Dateien (.ddf)

Import- und Download-Optionen


Importieren von Data-Dictionary-Dateien (.ddf)

Wenn Sie die Software des Trimble® GPS Pathfinder® verwenden, können Sie Data-Dictionary-Dateien (.ddf) aus dem Data Dictionary Editor importieren. Das Importieren von Objektdaten in diesem Format erspart Ihnen das Neuerstellen von Attributen im Objektdefinitionsmanager.

Nach dem Importieren einer Data-Dictionary-Datei werden alle Linien- und Flächenobjekte in Punktobjekte konvertiert. Die Attributdefinitionen bleiben dabei unberührt.

Wenn bereits ein DDF-Objekt mit gleichem Namen in der Objektdefinitionsbibliothek vorhanden ist, gilt Folgendes:

  • Die Attribute der .ddf-Version überschreiben die Attribute des bestehenden Objekts.
  • Punktarten, Linienstile und Anmerkungsvorlagen bleiben dabei unberührt, weil DDF-Dateien diese Informationen nicht enthalten.

Ist ein DDF-Objekt nicht in Ihrer Objektbibliothek enthalten, wird ein Fragezeichen angezeigt, da keine Punktart definiert wurde.

Ansonsten sind die aus der Data-Dictionary-Datei importierten Objekte identisch mit jenen aus dem Objektdefinitionsmanager.

Verwandte Themen

Übertragen und Importieren von Objektdefinitionsdaten

Import- und Download-Optionen

Importieren und Exportieren von Formaten


Importieren von Geodatabase-Dateien (XML)

Beachten Sie beim Importieren von Objektdefinitionen aus Geodatabase-Dateien (XML) die folgenden Punkte:

  • Geodatabase-Dateien unterstützen keine Objektdefinitionscodes. Beim Importieren der Geodatabase-Datei in den Objekt-Definitionsmanager werden die Definitionsnamen als Definitionscodes verwendet. Sie können die Namen oder Codes nach dem Importieren ändern.
  • Geodatabase-Dateien unterstützen keine Leerzeichen in Objektdefinitionsnamen. Beim Importieren der Geodatabase-Datei in den Objekt-Definitionsmanager werden Unterstriche (_) anstelle von Leerzeichen in Definitionsnamen und Definitionscodes verwendet. Sie können die Namen und Codes nach dem Importieren ändern.
  • Geodatabase-Dateien unterstützen keine Kategorien. Beim Importieren der Geodatabase-Datei in den Objekt-Definitionsmanager werden alle importierten Objektdefinitionen der Kategorie Verschiedenes zugewiesen. Sie können die Objektdefinitionen bei Bedarf nach dem Importieren neuen oder vorhandenen Kategorien zuweisen.
  • Geodatabase-Dateien unterstützen keine Vorgaben für Attributwerte, Linien und Symbole. Bei Bedarf können Sie diese Eigenschaften nach dem Importieren setzen.

Verwandte Themen

Übertragen und Importieren von Objektdefinitionsdaten

Import- und Download-Optionen

Importieren und Exportieren von Formaten


Arbeiten mit Kategorien für Objektdefinitionen

Über Kategorien können Sie Objektdefinitionen in Sätze mit ähnlichen Definitionen einteilen. Kategorien dienen zum schnellen und bequemen Auswählen der Objekte, die im Außendienst benötigt werden. So lässt sich die Aufnahme optimal vorbereiten.

Wenn Sie eine Kategorie im Explorer-Fenster auswählen, wird im Hauptfenster eine Liste der Objektdefinitionen in dieser Kategorie angezeigt.

Verwandte Themen

Erstellen und Bearbeiten von Kategorien für Objektdefinitionen


Erstellen und Bearbeiten von Kategorien für Objektdefinitionen

So erstellen Sie eine Kategorie für Objektdefinitionen:

  1. Klicken Sie im Explorer-Fenster mit der rechten Maustaste auf die Datei, zu der Sie eine neue Kategorie hinzufügen möchten, und wählen Sie Neu > Neue Kategorie. Ein Fenster für den Namen der neuen Kategorie erscheint.
  2. Geben Sie den Namen für die neue Kategorie im Feld Name ein.
  3. Klicken Sie in das Explorer-Fenster. Die neue Kategorie wird im Explorer-Fenster angezeigt.

So ändern Sie einen Kategorienamen für Objektdefinitionen:

  1. Klicken Sie im Explorer-Fenster auf die zu bearbeitende Kategorie. Das Fenster mit dem Kategorienamen erscheint.
  2. Geben Sie den neuen Kategorienamen im Feld Name ein.
  3. Klicken Sie in das Explorer-Fenster. Die umbenannte Kategorie wird im Explorer-Fenster angezeigt.

Verwandte Themen

Arbeiten mit Kategorien für Objektdefinitionen


Arbeiten mit Objektdefinitionen

Objektdefinitionen stellen Objekttypen dar, die vermutlich im Feld vorhanden sind, zum Beispiel Bürgersteige, Masten usw. Mit dem Objektdefinitionsmanager erhalten Sie einen Satz vorab definierter Objekte, die Sie als Ausgangsbasis für Ihre eigene Objektdefinitionsbibliothek nutzen können.

Jede Objektdefinition innerhalb einer Datei muss einen eindeutigen Namen und Code erhalten. Sie können aber mehrere verschiedene Dateien mit gleich benannten und codierten Objektdefinitionen parallel öffnen.

Die Symbolleiste bietet auch eine Suchefunktion, in der Sie den Namen eines Objekts, eines Kontrollcodes oder einer Gruppe eingeben können. Durch Drücken der Eingabetaste wird der Name ermittelt und im Explorer-Fenster angezeigt.

Es gibt zwei Arten von Objektdefinitionen:

  • Ein Punktobjekt markiert ein einzelnes Objekt, zum Beispiel einen Baum oder einen Mast. Eine Punktobjektdefinition wird über das Symbol [image] im Explorer-Fenster markiert.
  • Ein Linienobjekt besteht aus mindestens zwei Punkten, die eine Linie definieren, zum Beispiel einen Zaun oder einen Weg. Eine Linienobjektdefinition wird über das Symbol [image] im Explorer-Fenster markiert. Linienobjekte können auch Linienkontrollcodes enthalten, die Linienobjekte detaillierter beschreiben (zum Beispiel um Linien, Kurven und Bögen zwischen Punkten hinzuzufügen).

Verwandte Themen

Erstellen und Bearbeiten von Objektdefinitionen

Optionen für Objektdefinitionen


Erstellen und bearbeiten von Objektdefinitionen

So erstellen Sie eine Objektdefinition:

  1. Klicken Sie im Explorer-Fenster auf die Datei, zu der Sie ein neues Objekt hinzufügen möchten.
  2. Wählen Sie eines dieser Verfahren:
    • Wählen Sie Bearbeiten > Neu > Neue Objektdefinition.
    • Klicken Sie auf [image] in der Symbolleiste Neu.

    Der Dialog Neue Objektdefinition erscheint.

    Hinweis: Einzelheiten zu den folgenden Schritten finden Sie unter Optionen für Objektdefinitionen.

  3. Geben Sie die entsprechenden Werte in die Felder Name und Code ein.
  4. Wählen Sie die passenden Optionen in den Listen Kategorie, Typ, Farbe und Layer aus.
  5. Aktivieren Sie gegebenenfalls die Optionen In Oberfläche verwenden, Bruchkante in Oberfläche oder Richtung umkehren. (Die Optionen Bruchkante in Oberfläche und Richtung umkehren stehen nur beim Erstellen einer Linienobjektdefinition zur Verfügung.)
  6. Klicken Sie abschließend auf OK. Im Explorer-Fenster wird ein neues Objektdefinitionssymbol unter der gewählten Kategorie hinzugefügt.

So bearbeiten Sie eine Objektdefinition:

  1. Klicken Sie im Explorer-Fenster auf die zu bearbeitende Objektdefinition. Das Fenster Eigenschaften für Objektdefinitionen erscheint.
  2. Klicken Sie auf eines der Kästchen im Fenster Eigenschaften für Objektdefinitionen, um die Eigenschaften zu bearbeiten. Einzelheiten finden Sie unter Optionen für Objektdefinitionen.
  3. Drücken Sie die Tabulatortaste oder wählen Sie ein anderes Objekt im Explorer-Fenster, um die Änderung zu bestätigen.

Verwandte Themen

Arbeiten mit Objektdefinitionen

Optionen für Objektdefinitionen


Optionen für Objektdefinitionen

Über diese Optionen können Sie Eigenschaften für Objektdefinitionen festlegen. Sie finden Sie im Dialog Neue Objektdefinition und im Fenster Eigenschaften für Objektdefinitionen.

Optionen

Name

Geben Sie eine eindeutige Bezeichnung für die Objektdefinition ein. Innerhalb einer Datei dürfen Objektdefinitionen keine identischen Namen tragen.

Code

Geben Sie eine eindeutige Abkürzung für den Objektdefinitionsnamen ein.

Kategorie

Wählen Sie eine Kategorie zum Speichern der Objektdefinition.

Typ

Punktobjekt erstellt eine Punktobjektdefinition. Ein Punktobjekt markiert ein einzelnes Objekt, zum Beispiel einen Baum oder einen Mast.

Linienobjekt erstellt eine Linienobjektdefinition. Ein Linienobjekt besteht aus mindestens zwei Punkten, die eine Linie definieren, zum Beispiel einen Zaun oder einen Weg.

Layer

Wählen Sie den Layer für die Objektdefinition, falls für diese Datei bereits Layer definiert wurden. Wählen Sie alternativ eine der folgenden Optionen aus:

0 legt das neue Objekt im Standard-Layer ab.

Punkte legt ein Punktobjekt im gleichen Layer wie andere Punktobjektdefinitionen ab.

<<Neuer Layer>> öffnet den Dialog Neuer Layer, in dem Sie die Eigenschaften für einen neuen Layer festlegen können:

  • Layername
  • Farbe
  • Linienstil

    Zum Importieren eines Linienstils wählen Sie <<Linienstile importieren>>. Der Dialog Linienstil-Manager erscheint. Hier können Sie Linienstile importieren und löschen. Einzelheiten finden Sie unter Arbeiten mit Linienstilen.

Farbe

Mittels Layer übernimmt die Farbe des Layers für das Objekt.

(Farbe) dient zum Auswählen einer bestimmten Farbe für die Anzeige der Objektdefinition in der Grafikansicht.

Linienstil

Wählen Sie den passenden Linienstil.

Zum Importieren eines Linienstils wählen Sie <<Linienstile importieren>>. Der Dialog Linienstil-Manager erscheint. Hier können Sie Linienstile auch löschen. Einzelheiten finden Sie unter Arbeiten mit Linienstilen.

Die Option steht nur beim Anlegen oder Bearbeiten einer Linienobjektdefinition zur Verfügung.

Maßstab des Linienstils

Geben Sie einen Maßstabsfaktor für die Symbole, aus denen die Linie gezeichnet wird, ein.

Die Option steht nur beim Anlegen oder Bearbeiten einer Linienobjektdefinition zur Verfügung.

In Oberfläche verwenden

Sie können ein Objekt zum Erstellen von Oberflächen verwenden, nachdem die Objektcodes in einer anderen Anwendung bearbeitet worden sind. Dazu aktivieren Sie diese Option.

Verwandte Themen

Arbeiten mit Objektdefinitionen

Erstellen und bearbeiten von Objektdefinitionen

Arbeiten mit Linienstilen


Arbeiten mit Linienstilen

Der Linienstil-Manager erscheint, wenn Sie die Option <<Linienstile importieren>> wählen oder eine Linie erstellen bzw. bearbeiten.

So importieren Sie Linienstile:

  1. Wählen Sie die gewünschten Optionen für Längeneinheit und Einheitenreferenz.
  2. Klicken Sie auf Durchsuchen, um die zu importierende Linienstildatei zu wählen.
  3. Wählen Sie in der Liste rechts den oder die Linienstil(e) für den Import. Klicken Sie auf Verschieben (<), um die markierten Einträge in die linke Liste zu übertragen. Mit Verschieben (<<) werden alle Einträge aus der rechten in die linke Liste übertragen. Die linke Liste zeigt alle Linienstile, die im Projekt zur Verfügung stehen.
  4. Klicken Sie abschließend auf OK. Die neu importierten Linienstile stehen nun in der Liste Linienstil zur Verfügung.

So löschen Sie Linienstile:

  1. Markieren Sie die zu löschenden Linienstile in der linken Liste.
  2. Klicken Sie auf die Schaltfläche Löschen (X).
  3. Klicken Sie abschließend auf OK.

Verwandte Themen

Optionen für Objektdefinitionen

Optionen für Offset-Objektlinien


Arbeiten mit Objektsymbolen

Objekte können in Grafikansichten der Bürosoftware durch Symbole markiert werden. Sie können die Symbole für die verschiedenen Objektdefinitionen frei wählen.

Verwandte Themen

Zuweisen, Bearbeiten und Löschen von Objektsymbolen

Optionen für Objektsymbole


Zuweisen, Bearbeiten und Löschen von Objektsymbolen

So weisen Sie einer Objektdefinition ein Symbol zu:

  1. Klicken Sie im Explorer-Fenster mit der rechten Maustaste auf die Objektdefinition, zu der Sie ein Symbol hinzufügen möchten, und wählen Sie Neu > Neues Symbol. Der Dialog Symbol erscheint.
  2. Füllen Sie die Felder wie unter Optionen für Objektsymbole beschrieben aus.
  3. Klicken Sie abschließend auf OK. Das neu zugewiesene Symbol wird in der Liste Linien und Symbole angezeigt.

So bearbeiten Sie ein Symbol:

  1. Klicken Sie im Explorer-Fenster auf die Objektdefinition, die das zu ändernde Symbol enthält.
  2. Führen Sie in der Liste Linien und Symbole einen Doppelklick auf das zu bearbeitende Symbol aus. Der Dialog Symbol erscheint.
  3. Füllen Sie die Felder wie unter Optionen für Objektsymbole beschrieben aus.
  4. Klicken Sie abschließend auf OK.

So löschen Sie ein Symbol:

  1. Klicken Sie im Explorer-Fenster auf die Objektdefinition, die das zu löschende Symbol enthält.
  2. Führen Sie in der Liste Linien und Symbole einen Rechtsklick auf das zu löschende Symbol aus.
  3. Klicken Sie im Kontextmenü auf Löschen.

Verwandte Themen

Arbeiten mit Objektsymbolen

Optionen für Objektsymbole


Optionen für Objektsymbole

Verwenden Sie diese Optionen (im Dialog Symbol), um die Eigenschaften für Symbole festzulegen.

Optionen

Name

Geben Sie einen Namen für das Symbol ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Symbol ein.

Symbol

Wählen Sie ein Symbol für die Darstellung des Objekts aus.

Zum Importieren eines Symbols wählen Sie <<Symbole importieren>>. Der Dialog Symbolmanager erscheint. Hier können Sie Symbole importieren und löschen. Einzelheiten finden Sie unter Arbeiten mit Symbolen.

Farbe

Mittels Layer übernimmt die Farbe des Layers, in dem die Objektcodes liegen, für die Auswertung.

Mittels Block/Objekt übernimmt die Farbe des Layers, in dem das Objekt liegt.

(Farbe) dient zum Auswählen einer Farbe.

Platzierung

Drehung

Fester Wert öffnet das Feld Wert, in dem Sie einen gewünschten Drehwinkel angeben können. Die Drehung verläuft gegen den Uhrzeigersinn.

Attribut öffnet die Liste Attributname zum Auswählen des passenden Attributnamens. Das Symbol wird entsprechend dem durch das Attribut spezifizierten Wert (in Grad) gedreht.

Symbolgröße und Skalierung

Dimensionierung

Bezug skaliert das Symbol auf eine bestimmte Bezugsgröße (basierend auf einem festen Wert oder einem Attribut).

Papier skaliert das Symbol anhand des Plotmaßstabs der im Projekt als fester Wert oder Attribut angegeben ist.

Eingabemethode

Fester Wert öffnet das Feld Wert, in dem Sie die gewünschte Symbolgröße angeben können.

Wenn Sie im Gruppenfeld Dimensionierung den Wert Bezug wählen, wird das Symbol anhand des eingegebenen Wertes skaliert. Geben Sie zum Beispiel „1 Meter“ ein, beträgt die Größe des Symbols in der Wirklichkeit (Bezug) 1 Meter.

Wenn Sie im Gruppenfeld Dimensionierung den Wert Papier wählen, wird das Symbol anhand des Plotmaßstabs des Projekts und des eingegebenen Wertes skaliert. Geben Sie zum Beispiel „1 Millimeter“ ein, beträgt die Größe des Symbols bei einem Plotmaßstab von 100 exakt 0,1 Meter (1 mm x 100). Der Standardplotmaßstab zum Anzeigen von Symbolen im Objekt-Definitionsmanager beträgt 100; der Projektplotmaßstab kann sich jedoch von diesem Wert unterscheiden.

Attribut öffnet die Liste Attributname zum Auswählen des passenden Attributnamens. Das Symbol wird entsprechend dem über das Attribut spezifizierten Wert skaliert.

Wenn Sie im Gruppenfeld Dimensionierung den Wert Bezug wählen, wird das Symbol anhand des spezifizierten Attributwertes skaliert. Wenn Sie zum Beispiel ein Attribut wählen, dessen Wert mit 1 spezifiziert ist, beträgt die Größe des Symbols bei der Anzeigeeinheit Meter 1 Meter.

Wenn Sie im Gruppenfeld Dimensionierung den Wert Papier wählen, wird das Symbol anhand des Plotmaßstabs des Projekts und des spezifizierten Attributwertes skaliert. Wenn Sie zum Beispiel ein Attribut wählen, dessen Wert mit 1 spezifiziert ist, beträgt die Größe des Symbols bei einem Plotmaßstab von 100 exakt 0,1 Meter (1 mm x 100). Der Standardplotmaßstab zum Anzeigen von Symbolen im Objekt-Definitionsmanager beträgt 100; der Projektplotmaßstab kann sich jedoch von diesem Wert unterscheiden.

Hinweis: Die Anzeigeeinheiten können über die Schaltfläche Vorgaben bearbeiten geändert werden. Die hier gewählte Anzeigeeinheit sollte den Anzeigeeinheiten für das Projekt entsprechen.

Verwandte Themen

Arbeiten mit Objektsymbolen

Zuweisen, Bearbeiten und Löschen von Offsetsymbolen

Arbeiten mit Symbolen


Arbeiten mit Symbolen

Der Symbolmanager erscheint, wenn Sie die Option <<Symbole importieren>> wählen.

So importieren oder entfernen Sie Symbole:

  1. Klicken Sie im Dialog Symbolmanager auf [image] und wählen Sie die Datei, in der das oder die zu importierenden Symbole enthalten sind.

    Eine Datei mit Standardsymbolen wird in folgendem Verzeichnis abgelegt:
    C:\Programme\Trimble\Feature Definition Manager\PEditor\Symbols.sym
  1. Wählen Sie eines dieser Verfahren:
    • Klicken Sie auf <<, um alle Symbole aus der gewählten Datei zu importieren.
    • Zum Importieren eines einzelnen Symbols aus der gewählten Datei markieren Sie es auf der rechten Seite und klicken Sie auf <.
    • Zum Entfernen eines Symbols markieren Sie es auf der linken Seite und klicken Sie auf X.
  2. Klicken Sie abschließend auf OK.

Verwandte Themen

Optionen für Objektsymbole


Arbeiten mit Offset-Objektlinien

Um anstelle einer Achse mindestens eine Offset-Linie für ein Linienobjekt zu erzeugen, können Sie in der Objektdefinition der Linie die Offset-Linien festlegen. So könnten Sie einem Linienobjekt für Bürgersteige zwei Offset-Linien zuweisen: Eine, die 2 Einheiten links der Achse liegt, um die linke Kante zu definieren, und eine weitere, die 2 Einheiten rechts der Achse liegt, um die rechte Kante zu definieren. Dabei legen Sie zwei Offset-Linien in der Objektdefinition fest: Eine mit einem horizontalen Abstand von 2, die andere mit einem Abstand von -2. Sie können den einzelnen Offset-Linien sogar unterschiedliche Farben und Stile zuweisen.

Hinweis: Wenn Sie einer Linienobjektdefinition eine Offset-Linie hinzufügen, wird die Achse selbst nicht mehr dargestellt.

Verwandte Themen

Zuweisen, Bearbeiten und Löschen von Offset-Objektlinien

Optionen für Offset-Objektlinien


Zuweisen, Bearbeiten und Löschen von Offset-Objektlinien

So weisen Sie einer Linienobjektdefinition eine Offsetlinie zu:

  1. Klicken Sie im Explorer-Fenster mit der rechten Maustaste auf die Linienobjektdefinition, der Sie eine Offsetlinie zuweisen möchten, und wählen Sie Neu > Neue Linie. Der Dialog Linie erscheint.
  2. Füllen Sie die Felder wie unter Optionen für Offset-Objektlinien beschrieben aus.
  3. Klicken Sie abschließend auf OK. Die neu zugewiesene Offsetlinie wird in der Liste Linien und Symbole angezeigt.

So bearbeiten Sie eine Offsetlinie:

  1. Klicken Sie im Explorer-Fenster auf die Objektdefinition, welche die zu ändernde Offsetlinie enthält.
  2. Führen Sie in der Liste Linien und Symbole einen Doppelklick auf die zu bearbeitende Offsetlinie aus. Der Dialog Linie erscheint.
  3. Füllen Sie die Felder wie unter Optionen für Offset-Objektlinien beschrieben aus.
  4. Klicken Sie abschließend auf OK.

So löschen Sie eine Offsetlinie:

  1. Klicken Sie im Explorer-Fenster auf die Objektdefinition, welche die zu löschende Offsetlinie enthält.
  2. Führen Sie in der Liste Linien und Symbole einen Rechtsklick auf die zu löschende Offsetlinie aus.
  3. Klicken Sie im Kontextmenü auf Löschen.

Verwandte Themen

Arbeiten mit Offset-Objektlinien

Optionen für Offset-Objektlinien


Optionen für Offset-Objektlinien

Verwenden Sie diese Optionen (im Dialog Linie), um die Eigenschaften für Offset-Objektlinien festzulegen.

Optionen
Name | Geben Sie einen Namen für die Offsetlinie ein.
Beschreibung | Geben Sie eine allgemeine Beschreibung für die Offsetlinie ein.
Stil | Wählen Sie den passenden Linienstil. Zum Importieren eines Linienstils wählen Sie <<Linienstile importieren>>. Der Dialog Linienstil-Manager erscheint. Hier können Sie Linienstile importieren und löschen. Einzelheiten finden Sie unter Arbeiten mit Linienstilen.
Maßstab | Geben Sie einen Maßstabsfaktor für die Symbole, aus denen die Linie gezeichnet wird, ein.
Farbe | Mittels Layer übernimmt die Farbe des Layers, in dem die Objektcodes liegen, für die Auswertung. Mittels Block/Objekt übernimmt die Farbe des Layers, in dem das Objekt liegt. (Farbe) dient zum Auswählen einer Farbe.
Lageversatz | Geben Sie den horizontalen Versatz der Linie von der Achse des Objekts ein. Damit erstellen Sie eine zusätzliche Linie.
Höhenversatz | Geben Sie den vertikalen Versatz der Linie von der Achse des Objekts ein. Damit erstellen Sie eine zusätzliche Linie.
Abstandstyp | Bezug verwendet die tatsächlichen Projekteinheiten für horizontale und vertikale Abstände. Dokument verwendet die Papiereinheiten für horizontale und vertikale Abstände.

Verwandte Themen

Arbeiten mit Offset-Objektlinien

Zuweisen, Bearbeiten und Löschen von Offset-Objektlinien

Arbeiten mit Linienstilen


Arbeiten mit Objektattributen

Objektattribute sind Eigenschaften von Objektdefinitionen, die Objekte genauer beschreiben. Objektattribute werden für folgende Zwecke eingesetzt:

  • Sie können häufig bestehende Eigenschaften im Voraus definieren, damit diese im Außendienst schnell und bequem gewählt werden können. Für das Objekt „Baum“ können Sie zum Beispiel die Attribute „Baumart“, „Höhe“, „Baumumfang“ und „Zustand“ hinzufügen. Jedes während der Aufnahme erfasste Objekt vom Typ „Baum“ verfügt über eigene Werte für diese Attribute.
  • Sie können kontrollieren, welche Informationen für eine bestimmte Aufgabe während der Aufnahme aufgezeichnet werden müssen. Wenn zum Beispiel für jeden erfassten Baum ein Symbol benötigt wird, versehen Sie das Baumobjekt mit einem Symbol und legen fest, dass dieses Attribut Erforderlich ist. Die Software auf dem Feldrechner fordert den Anwender auf, für jedes erfasste Objekt auch ein Symbol zu wählen.

Verwandte Themen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Zuweisen und Bearbeiten von Objektattributen

So weisen Sie einer Objektdefinition ein Attribut zu:

  1. Klicken Sie im Explorer-Fenster mit der rechten Maustaste auf die Objektdefinition, zu der Sie ein Attribut hinzufügen möchten, und wählen Sie Neu > Neues Attribut > (Attributtyp). Der Dialog für den gewählten Attributtyp erscheint.

    Unter Optionen für Objektattribute enthält Beschreibungen der verfügbaren Attributtypen und Verweise zu Themen, die das Eingeben der Eigenschaften für einen Attributtyp) beschreiben.

  2. Klicken Sie abschließend im Dialog (Attributtyp) auf OK. Das neu zugewiesene Attribut wird in der Liste Attribute der Objektdefinition im Hauptfenster angezeigt.

So bearbeiten Sie ein Attribut:

  1. Klicken Sie im Explorer-Fenster auf die Objektdefinition, die das zu ändernde Attribut enthält.
  2. Führen Sie im Fenster Attribute einen Doppelklick auf das zu bearbeitende Attribut aus. Der Dialog (Attributtyp erscheint.
  3. Füllen Sie die Felder wie unter Optionen für Objektattribute beschrieben aus.
  4. Klicken Sie abschließend auf OK.

Verwandte Themen

Arbeiten mit Objektattributen

Optionen für Objektattribute


Optionen für Objektattribute

Über die folgenden Optionen können Sie Attribute hinzufügen, aus denen im Außendienst ausgewählt werden kann. Sie stehen im Kontextmenü nach einem Rechtsklick auf ein Objekt und Auswahl von Neu > Neues Attribut zur Verfügung.

Optionen

Zahlen

Über diese Auswahl können Sie Attribute mit numerischen Werten bestimmen. Dazu zählen zum Beispiel Umfang und Höhe von Bäumen oder die Verschmutzungskonzentration an bestimmten Messorten.

In die Wertefelder für diese Attribute können nur ganze Zahlen oder Dezimalzahlen eingegeben werden.

Text

Über diese Auswahl können Sie Attribute mit alphanumerischen Zeichen bestimmen. Dazu zählen zum Beispiel Straßen- oder Besitzernamen.

Zwar können Sie auch für Attribute vom Typ Text Zahlen eingeben, aber wenn Sie Attribute nur in Zahlenform zulassen oder eingeben möchten, sollten Sie die Attributform Zahlen wählen.

Datum

Über diese Auswahl können Sie Attribute in Standarddatenformaten bestimmen. Dazu zählt zum Beispiel das Inbetriebnahme- oder Aufstelldatum eines Strommastes.

Zeit

Über diese Auswahl können Sie zeitliche Attribute definieren. Dazu zählen zum Beispiel Stunde und Minute der Erfassung eines Objekts.

Liste

Über diese Auswahl können Sie Attribute aus einer Liste mit verschiedenen Optionen auswählen. Dazu zählen zum Beispiel fünf mögliche Mess- bzw. Grenzpunktarten für Ihr Projekt.

Datei

Mit dieser Option können Sie Dateiattribute erfassen.

Foto

Mit dieser Option können Sie Fotoattribute erfassen.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen


Objektattribut: Optionen für Zahlen

Mit diesen Optionen können Sie Attribute definieren, die aus Zahlenwerten bestehen. Die Optionen finden Sie im Dialog Zahlen.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. In diesem Fall muss der Eintrag über den Computer vorgenommen werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass für das Attribut ein Wert spezifiziert werden muss.

Standardwert

Geben Sie hier den am häufigsten benutzten Wert ein. Dieser Wert wird automatisch im Attributfeld angezeigt.

Feldgerätespezifisch

Mindestwert

Geben Sie die kleinste, für dieses Attribut zulässige Zahl ein.

Maximaler Wert

Geben Sie die größte, für dieses Attribut zulässige Zahl ein.

Anzahl der Dezimalstellen

Geben Sie die Anzahl der Dezimalstellen ein, die rechts neben dem Dezimalpunkt zugelassen sein sollen. Geben Sie einen Wert von 0 ein, wenn nur ganze Zahlen zugelassen sein sollen.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Objektattribut: Optionen für Ganzzahlen

Mit diesen Optionen können Sie Attribute definieren, die aus ganzzahligen Werten bestehen. Sie finden sie im Dialog Ganzzahlen.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. In diesem Fall muss der Eintrag über den Computer vorgenommen werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass für das Attribut ein Wert spezifiziert werden muss.

Standardwert

Geben Sie hier den am häufigsten benutzten Wert ein. Dieser Wert wird automatisch im Attributfeld angezeigt.

Feldgerätespezifisch

Mindestwert

Geben Sie die kleinste, für dieses Attribut zulässige Ganzzahl ein.

Maximaler Wert

Geben Sie die größte, für dieses Attribut zulässige Ganzzahl ein.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Objektattribut: Optionen für Text

Über diese Optionen können Sie Textattribute, bestehend aus Zeichenketten (Buchstaben, Ziffern und andere Zeichen), definieren. Diese Optionen finden Sie im Dialog Text.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. Es muss beim Definieren der Objektdatei eingegeben werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass für das Attribut ein Wert spezifiziert werden muss.

Standardwert

Geben Sie hier den am häufigsten benutzten Wert ein. Dieser Wert wird automatisch im Attributfeld angezeigt. Wenn Sie keinen Standardwert eingeben, wird für das Attribut automatisch Null (kein Wert) gesetzt.

Maximale Länge

Geben Sie die maximale Länge (in Zeichen) ein. Es stehen bis zu 100 Zeichen zur Verfügung. In diesem Feld muss ein Wert eingetragen werden; als Standard gilt 30.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Objektattribut: Optionen für Daten

Verwenden Sie diese Optionen, um das Format für ein Datumsattribut festzulegen. Sie finden sie im Dialog Datum.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. In diesem Fall muss der Eintrag über den Computer vorgenommen werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass das Attribut im Feld erfasst werden muss.

Format

Wählen Sie hier ein Datumsformat aus der Liste.

Hinweis: Um Daten auf verfügbare GIS-Formate zu übertragen, muss das Datumsformat der Attribute mit dem Datumsformat des Computers mit der GIS-Software identisch sein. Viele GIS-Systeme nutzen beim Importieren von Dateien eine automatische Datumsprüfung, bei der davon ausgegangen wird, dass das Format der Dateidaten kompatibel mit den Computereinstellungen ist. Wenn die Einstellungen unterschiedlich sind, kann die GIS-Software Nullwerte anzeigen.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Objektattribut: Optionen für Zeitangaben

Verwenden Sie diese Optionen, um das Format für ein Zeitattribut festzulegen. Sie finden sie im Dialog Zeit.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. In diesem Fall muss der Eintrag über den Computer vorgenommen werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass für das Attribut ein Wert spezifiziert werden muss.

Format

Hier können Sie ein Zeitformat aus der Liste wählen.

Hinweis: Um Daten auf verfügbare GIS-Formate zu übertragen, muss das Datumsformat der Attribute mit dem Datumsformat des Computers mit der GIS-Software identisch sein. Viele GIS-Systeme nutzen beim Importieren von Dateien eine automatische Datumsprüfung, bei der davon ausgegangen wird, dass das Format der Dateidaten kompatibel mit den Computereinstellungen ist. Wenn die Einstellungen unterschiedlich sind, kann die GIS-Software Nullwerte anzeigen.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Objektattribut: Optionen für Listen

Mit diesen Optionen können Sie Attribute definieren, die eine Anzahl vorgegebener, auswählbarer Werte benötigen. Sie finden Sie im Dialog Liste.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. In diesem Fall muss der Eintrag über den Computer vorgenommen werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass für das Attribut ein Wert spezifiziert werden muss.

Listenwerte

Mithilfe der Schaltflächen können Sie eine Liste erstellen und Optionen auswählen.

Hoch bewegt den markierten Listenpunkt in der Liste nach oben.

Abwärts bewegt den markierten Listenpunkt in der Liste nach unten.

Standard legt den markierten Listenpunkt als Standardwert fest. Dieser wird verwendet, wenn keine andere Auswahl getroffen wird.

Hinzufügen fügt einen neuen Listeneintrag hinzu. Geben Sie den Eintrag wie gewünscht ein.

Entfernen löscht einen Listenpunkt.

Hinweis: Um einen Listenpunkt zu bearbeiten, wählen Sie ihn über Listenwerte aus und vergeben einen neuen Namen.

Standard

Geben Sie hier den am häufigsten benutzten Wert ein. Dieser Wert wird automatisch im Attributfeld angezeigt. Wenn Sie keinen Standardwert eingeben, wird für das Attribut automatisch Null (kein Wert) gesetzt.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Objektattribut: Optionen für Dateien

Über diese Optionen können Sie Dateiattribute definieren. Sie finden Sie im Dialog Datei.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. In diesem Fall muss der Eintrag über den Computer vorgenommen werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass für das Attribut ein Wert spezifiziert werden muss.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Objektattribut: Optionen für Fotos

Über diese Optionen können Sie Fotoattribute definieren. Sie finden Sie im Dialog Foto.

Optionen

Name

Geben Sie einen Namen für das Attribut ein.

Beschreibung

Geben Sie eine allgemeine Beschreibung für das Attribut ein.

Dieser Eintrag ist optional und wird während der Aufnahme nicht verwendet.

Eintragsmodus

Nur zur Verwendung im Büro legt fest, dass das Attribut nicht während der Aufnahme spezifiziert wird. In diesem Fall muss der Eintrag über den Computer vorgenommen werden.

Optional gibt an, dass der Anwender entscheiden kann, ob ein Attribut spezifiziert werden soll oder nicht.

Erforderlich gibt an, dass für das Attribut ein Wert spezifiziert werden muss.

Automatische erzeugen gibt an, dass ein Foto mit dem Gerät aufgenommen werden muss.

Automatische erzeugen - Schreibgeschützt gibt an, dass ein Foto mit dem Gerät aufgenommen werden muss, das im Gerät nicht geändert werden kann.

Verwandte Themen

Arbeiten mit Objektattributen

Zuweisen und Bearbeiten von Objektattributen

Optionen für Objektattribute


Arbeiten mit Linienkontrollcodes

Außendienstteams können Punkten während der Aufnahme Linienkontrollcodes zuweisen, um die Eigenschaften des zugehörigen Linienobjekts zu definieren. So gibt es einen Linienkontrollcode, der angibt, ob eine Objektlinie an einem Punkt beginnt oder endet. Wenn die Objektcodes im Büro ausgewertet werden, passen die Linienkontrollcodes die jeweiligen Linienobjekte direkt entsprechend an.

Hinweis: Sie können die vorgegebene Liste der verfügbaren Kontrollcodes bearbeiten, aber deren Auswirkungen lassen sich nicht ändern.

Verwandte Themen

Erstellen und Bearbeiten von Linienkontrollcodes

Optionen für Linienkontrollcodes


Erstellen und Bearbeiten von Linienkontrollcodes

So erstellen Sie einen neuen Linienkontrollcode:

  1. Wählen Sie eines dieser Verfahren:
    • Wählen Sie Bearbeiten > Neu > Neuer Linienkontrollcode.
    • Führen Sie einen Rechtsklick auf das Explorer-Fenster aus und wählen Sie Neu > Neuer Linienkontrollcode.
    • Klicken Sie auf i_new control code in der Symbolleiste.

    Der Dialog Linienkontrollcode erscheint.

    Hinweis: Unter Optionen für Linienkontrollcodes finden Sie vollständige Beschreibungen aller Optionen im Dialog Linienkontrollcode.

  2. Geben Sie einen Namen für den Code in das Feld Name ein.
  3. Geben Sie eine Abkürzung für den Code in das Feld Code ein.
  4. Wählen Sie eine Aktion für diesen Code aus der Liste Alle Aktionen. Das Feld Gewählte Aktion darüber zeigt an, wie der Code ein Objekt verändert.
  5. Klicken Sie auf OK.

So bearbeiten Sie einen Linienkontrollcode:

  1. Wählen Sie den gewünschten Code im Explorer-Fenster aus. Im Hauptfenster werden die Eigenschaften des Linienkontrollcodes angezeigt.
  2. Klicken Sie auf die Felder Name oder Code und geben Sie die entsprechenden Informationen ein.

    Hinweis: Die Aktionen eines vorhandenen Linienkontrollcodes können nicht geändert werden.

  3. Drücken Sie die Tabulatortaste oder wählen Sie einen anderen Eintrag im Explorer-Fenster, um die Änderung zu bestätigen.

Verwandte Themen

Arbeiten mit Linienkontrollcodes

Optionen für Linienkontrollcodes


Optionen für Linienkontrollcodes

Mit diesen Optionen können Sie Kontrollcodes verändern oder neue erstellen. Diese Optionen finden Sie im Dialog Neuer Linienkontrollcode.

Optionen

Name

Geben Sie eine Bezeichnung für den Kontrollcode ein.

Code

Geben Sie für die Aufnahme eine Abkürzung für den Linienkontrollcode ein.

Ausgewählte Aktion

Hier finden Sie Informationen darüber, wie der ausgewählte Kontrollcode ein Objekt verändert.

Alle Aktionen

Linie starten

Damit starten Sie eine neue Sequenz verbundener Linien. Die bis dahin bestehende Sequenz mit dem gleichen Code wird beendet.

Durch diese Aktion verhindern Sie, dass der Punkt mit dem vorherigen Punkt des gleichen Codes verbunden wird, und starten eine neue Sequenz.

Bei einigen Anwendungen benötigen Sie keinen Kontrollcode zum Starten einer neuen Linie, wenn Linienobjekte mit gleichen Namen automatisch verbunden werden.

Hinweis: Über Linie starten erzielen Sie ähnliche Ergebnisse, wie über Linie beenden.

Linie beenden

Damit beenden Sie eine Sequenz verbundener Linien.

Diese Option nutzen Sie, wenn Sie verhindern möchten, dass eine Linie von einem Punkt, der auf dem Kontrollcode der Funktion Linie beenden basiert, zum nächsten Punkt mit dem gleichen Objektcode gezogen wird.

Verbindungen mit Punkten

Mit dieser Option können Sie eine Linie mit einem bestimmten Punktnamen verbinden.

Verbindungen ignorieren

Wählen Sie diese Option, um alle Verbindungsaktionen zu unterbinden.

Am Punkt beenden

Damit beenden Sie den Vorgang am ersten Punkt einer Sequenz mit dem gleichen Objektcode. Für diese Aktion werden mindestens drei Punkte benötigt. Die Punkte müssen denselben Objektcode verwenden. Dem Objektcode des letzten Punktes muss der Kontrollcode Schließen folgen.

Damit können Sie ein Objekt beenden, zum Beispiel um ein neues Objekt zu starten.

Wenn für den eingesetzten gemeinsamen Objektcode ein Linienstil vorgegeben war, wird die Linie mit demselben Stil ausgeführt. Wenn kein Linienstil vorgegeben ist, wird die Linie mit dem Standard-Linienstil für den aktuellen Layer erstellt.

Tipp: Legen Sie zunächst den Standard-Linienstil für die Layer fest.

Tangentialen Bogen beginnen

Über diese Auswahl können Sie einen Tangentialbogen starten. Für die Definition der Eingangstangente werden Punkte benötigt: Das Azimut zwischen dem Punkt mit dem Kontrollcode zum Starten des Bogens und dem vorherigen Punkt mit dem gleichen Objektcode bestimmt die Richtung der Eingangstangente.

In folgenden Situationen kann ein Bogen erstellt werden:

  • Es kann ein Bogen mit tangentialem Ausgang und Ende erstellt werden. Dazu werden Punkte benötigt, die die Eingangs- und Ausgangsrichtungen der Tangenten bestimmen. Ein vollständig tangentialer Bogen benötigt also vier Punkte. Wenn die aus den zwei Tangentenpunkten errechneten Durchmesser nicht exakt gleich sind, fügt das System automatisch einen neuen Punkt hinzu und verkürzt das tangentiale Liniensegment, um zwei echte Tangentenpunkte zu bestimmen.
  • Es kann ein Bogen mit tangentialem Anfang und nicht-tangentialem Ende erstellt werden, wenn ein Punkt zur Verfügung steht, um die Richtung der Eingangstangente zu bestimmen. Das System nutzt den bekannten Tangentenpunkt und die Tangentenrichtung sowie den Bogenendpunkt, um den Bogenmittelpunkt zu ermitteln und einen Bogen hinzuzufügen.
  • Es kann ein Bogen mit nicht-tangentialem Anfang und einem oder mehreren verbundenen Punkten erstellt werden, der nicht tangential endet. Das System nutzt die Punkte entlang des Bogens, um den Mittelpunkt für einen idealen Bogen durch die Punkte hindurch zu ermitteln und den Bogen hinzuzufügen. Wenn drei Punkte eingesetzt werden, wird der Bogen durch den mittleren Punkt geführt.

Tangentialen Bogen beenden

Über diese Auswahl können Sie einen Tangentialbogen beenden. Für die Definition der Ausgangstangente werden Punkte benötigt: Das Azimut zwischen dem Punkt mit dem Kontrollcode zum Beenden des Bogens und dem vorherigen Punkt mit dem gleichen Objektcode bestimmt die Richtung der Ausgangstangente.

Wenn diese Kontrollcodes verwendet werden, wird der mittlere Punkt anhand der verfügbaren Daten ermittelt.

Beginnt einen nicht-tangentialen Bogen

Über diese Auswahl können Sie einen nicht-tangentialen Bogen starten. Dazu wird kein vorheriger Punkt mit gleichem Objektcode benötigt.

Für einen nicht-tangentialen Bogen werden drei oder mehr Punkte benötigt (der Punkt „Neuer Bogen“, der Punkt „Bogenende“ und mindestens ein Punkt zur Bogendefinition). Die Punkte müssen denselben Objektcode verwenden.

Hinweis: Wenn zwischen dem Punkt Neuer Bogen und dem Punkt Bogenende keine Punkte mit gleichem Objektcode vorhanden sind, wird der Bogen als Tangentenbogen erstellt. Dabei wird der mittlere Punkt als Mittelpunkt der Linie zwischen den beiden Punkten realisiert.

Beendet einen nichttangentialen Bogen

Über diese Auswahl können Sie einen nichttangentialen Bogen beenden. Um für einen Bogen auf diese Weise zu beenden, wird kein nächster Punkt mit gleichem Objektcode benötigt.

Damit beenden Sie einen nicht-tangentialen Bogen, der mit dem vorherigen Kontrollcode „Neuer Bogen“ gestartet wurde. Ein Bogen wird über drei Punkte definiert. Bei Verwendung dieser Kontrollcodes wird eine Idealkurve zwischen den eingesetzten Punkten realisiert. Für diese Kurve wird der Mittelpunkt ermittelt.

Verwandte Themen

Arbeiten mit Linienkontrollcodes

Erstellen und Bearbeiten von Linienkontrollcodes


Arbeiten mit Gruppen für Objektdefinitionen und Linienkontrollcodes

Bei einigen Feldrechnern können Objektdefinitionen und Linienkontrollcodes zu Gruppen zusammengefasst und Schaltflächen oder Tasten auf dem Gerät zugewiesen werden. Sie können dabei verschiedene Gruppen definieren, sodass bei der Aufnahme exakt jene Gruppe verwendet wird, die benötigt wird.

Verwandte Themen

Erstellen und Bearbeiten von Gruppen für Objektdefinitionen und Linienkontrollcodes

Optionen für Gruppen


Erstellen und Bearbeiten von Gruppen für Objektdefinitionen und Linienkontrollcodes

So erstellen Sie eine Gruppe von Objektdefinitionen und Linienkontrollcodes:

  1. Klicken Sie im Explorer-Fenster auf die Datei, zu der Sie eine neue Gruppe hinzufügen möchten.
  2. Wählen Sie eines dieser Verfahren:
    • Wählen Sie Bearbeiten > Neu > Neue Gruppe.
    • Klicken Sie auf [image] in der Symbolleiste.

    Die Gruppeneigenschaften und ein neues Gruppensymbol werden im Explorer-Fenster angezeigt.

    Hinweis: Unter Optionen für Gruppen finden Sie vollständige Beschreibungen aller Optionen im Fenster Gruppeneigenschaften.

  3. Geben Sie die gewünschten Werte in die Felder Name und Beschreibung ein.
  4. Wählen Sie eine Objektdefinition oder einen Linienkontrollcode in der Liste Alle Codes.
  5. Klicken Sie auf den Linkspfeil, um den Code nach links in den Bereich Codes in Gruppe zu verschieben.

    Hinweis: Sie können Codes auch per Doppelklick in der Liste Alle Codes in die Gruppe aufnehmen.

    Sie können zwei oder mehr Objektdefinitionen oder Linienkontrollcodes zusammenführen, um das Zuweisen von Objekten im Feld zu vereinfachen. Wie das geht, erfahren Sie im nächsten Schritt.

  6. So führen Sie Objektdefinitionscodes oder Linienkontrollcodes zusammen:
    1. Wählen Sie in der Liste Codes in Gruppe den zusammenzuführenden Code.
    2. Wählen Sie in der Liste Alle Codes den Code, mit dem Sie den zuvor in der Liste Codes in Gruppe gewählten Code kombinieren möchten.
    3. Klicken Sie auf [image]. Der zweite ausgewählte Code wird mit dem Code aus der Liste Codes in Gruppe kombiniert.
    4. Wiederholen Sie die Schritte a bis c, um bei Bedarf weitere Codes zusammenzuführen.
  7. Wiederholen Sie diesen Vorgang, bis alle Codes zur Gruppe hinzugefügt sind. Die Gesamtzahl der Codes, die eingesetzt werden können, wird über der Liste Codes in Gruppe angezeigt.

    Hinweis: Objektcodes können in mehreren Gruppen eingesetzt werden. Ein Objektcode kann auch innerhalb einer Gruppe mehrfach verwendet werden. Dazu muss er aber jeweils mit einem anderen Kontrollcode kombiniert werden.

  8. Mit den Pfeilsymbolen (Auf/Ab) können Sie die Codes innerhalb einer Gruppe sortieren.
  9. Klicken Sie zum Speichern der Änderungen abschließend auf ein anderes Objekt im Explorer-Fenster.

So bearbeiten Sie eine Gruppe:

  1. Klicken Sie im Explorer-Fenster auf die zu bearbeitende Gruppe. Der Dialog Gruppeneigenschaften erscheint.
  2. Ändern Sie gegebenenfalls den Namen oder die Beschreibung.
  3. Sie können die Liste Codes in Gruppe wie oben beschrieben ändern.
  4. Klicken Sie zum Speichern der Änderungen abschließend auf ein anderes Objekt im Explorer-Fenster.

Verwandte Themen

Arbeiten mit Gruppen für Objektdefinitionen und Linienkontrollcodes

Optionen für Gruppen


Optionen für Gruppen

Mit diesen Optionen können Sie eine neue Gruppe von Objektdefinitionen und Linienkontrollcodes für einen Feldrechner erstellen. Sie finden Sie im Fenster Gruppeneigenschaften.

Optionen

Name

Geben Sie einen Namen für die Gruppe ein.

Beschreibung

Hier können Sie zusätzliche Informationen zur Gruppe eintragen.

Codes

Codes in Gruppe zeigt alle bisher zur Gruppe hinzugefügten Objektdefinitionen und Linienkontrollcodes an. Sie können diese auswählen, entfernen oder neu anordnen.

Alle Codes zeigt alle Objektdefinitionen und Linienkontrollcodes der aktuellen Datei an. Sie können Codes auswählen und zur Gruppe hinzufügen.

Alphabetische Sortierung sortiert die Liste Codes in Gruppe alphabetisch für den Einsatz mit dem Feldrechner.

Verwandte Themen

Arbeiten mit Gruppen für Objektdefinitionen und Linienkontrollcodes

Erstellen und Bearbeiten von Gruppen für Objektdefinitionen und Linienkontrollcodes


Exportieren und Übertragen von Objektdefinitionsdaten

Sie können Objektdefinitionsdaten direkt auf einen Feldrechner übertragen oder in eine Datei exportieren. Es werden alle Objektdefinitionen, mit oder ohne Attribute, aber keine Linienkontrollcodes exportiert. Objektdefinitionen werden als Punktobjekte exportiert.

So übertragen Sie Objektdefinitionsdaten zu einem Feldrechner:

  1. Achten Sie darauf, dass die Datei, aus der Sie Daten exportieren möchten (oder einer der zugehörigen Unterknoten), im Explorer-Fenster gewählt ist.
  2. Verbinden Sie den Feldrechner mit Ihrem Computer.
  3. Klicken Sie auf Datei > Exportieren. Dadurch öffnen Sie den Dialog Datei exportieren.
  4. Klicken Sie auf Auf Gerät übertragen.
  5. Wählen Sie den entsprechenden Feldrechner in der Liste Gerätename aus.
  6. Wählen Sie ein Programm aus der Liste Anwendungen.
  7. Klicken Sie auf OK.

So exportieren Sie Objektdefinitionsdaten in eine Datei:

  1. Achten Sie darauf, dass die Datei, aus der Sie Daten exportieren möchten (oder einer der zugehörigen Unterknoten), im Explorer-Fenster gewählt ist.
  2. Klicken Sie auf Datei > Exportieren. Dadurch öffnen Sie den Dialog Datei exportieren.
  3. Klicken Sie auf In Datei exportieren.
  4. Wählen Sie das Format für die Exportdatei in der Liste Dateityp.
  5. Wählen Sie eines dieser Verfahren:
    • Geben Sie Pfad und Dateinamen im Feld Zieldatei ein.
    • Klicken Sie auf [image], um den Dialog Speichern unter zu öffnen. Geben Sie im Dialog Speichern unter einen Namen für die Datei ein und wählen Sie Dateityp und Speicherpfad aus. Klicken Sie dann auf OK. Pfad und Dateiname werden im Feld Zieldatei angezeigt.
  6. Klicken Sie im Dialog Datei exportieren auf OK.

Verwandte Themen

Optionen für Export und Übertragung

Importieren und Exportieren von Formaten

Exportieren von Data-Dictionary-Dateien (.ddf)


Optionen für Export und Übertragung

Mit diesen Optionen können Sie Daten an andere Anwendungen oder Geräte übertragen. Sie finden Sie im Dialog Dateiexport.

Optionen
Quelldatei | Wählen oder bestimmen Sie einen Pfad für die Exportdatei oder klicken Sie auf die Schaltfläche [image] und wählen Sie ein anderes Verzeichnis aus.
Exportieren in eine Datei | Sie können die Quelldatei an einen anderen Dateispeicherort auf Ihrem Computer oder in Ihrem Netzwerk verschieben.
Auf Gerät übertragen | Diese Option überträgt die Datei auf einen Feldrechner.
Dateityp | Wählen Sie das Dateiformat für den Export.
Zieldatei | Wählen oder bestimmen Sie einen Pfad für den Speicherort der Exportdatei oder klicken Sie auf die Schaltfläche [image] und wählen Sie ein anderes Verzeichnis aus.
Gerätename | Hier wird der Name des angeschlossenen Feldrechners angezeigt.
Anwendung | Wählen Sie hier die Software, mit der die Datei benutzt werden soll.

Verwandte Themen

Exportieren und Übertragen von Objektdefinitionsdaten

Importieren und Exportieren von Formaten

Exportieren von Data-Dictionary-Dateien (.ddf)


Exportieren von Data-Dictionary-Dateien (.ddf)

Wenn Sie die Software Trimble® GPS Pathfinder verwenden, können Sie Data-Dictionary-Dateien (.ddf) in den Data-Dictionary-Editor exportieren. Durch den Export von Objektdaten in dieses Format ersparen Sie sich das Neuerstellen von Attributen im Data-Dictionary-Editor.

  • Unabhängig von der Auswahl werden alle Objektdefinitionen in die Data-Dictionary-Datei exportiert. Alle Objektdefinitionen – mit oder ohne Attribute – werden exportiert.
  • Objektdefinitionen werden als Punktobjekte exportiert. Über den Data Dictionary Editor können Sie den Objekttyp als Linie festlegen.
  • Data-Dictionary-Dateien enthalten Namen, Code und Attribute des Objekts. Es werden keine anderen Informationen wie Layer, Linienstile, Gruppen oder Kontrollcodes exportiert.

Verwandte Themen

Exportieren und Übertragen von Objektdefinitionsdaten

Optionen für Export und Übertragung

Importieren und Exportieren von Formaten


Anzeigen von Berichten

Sie können verschiedene Berichte anzeigen lassen. Wählen Sie zum Anzeigen eines Berichts Datei > Bericht und anschließend den gewünschten Bericht. Der Bericht wird in einem eigenen Browserfenster angezeigt.


Previous Topic

Next Topic

Rechtliche Hinweise


Firmensitz

Trimble Navigation Limited
Engineering and Construction Division
5475 Kellenburger Road
Dayton, Ohio 45424-1099
U.S.A.

+1-937-233-8921 Telefon
+1-800-538-7800 (Gebührenfrei innerhalb der USA)
+1-937-233-9441 Fax

www.trimble.com

Urheberrecht und Marken

© 2006-2011, Trimble Navigation Limited. Alle Rechte vorbehalten.

Das Globus- & Dreieck-Logo und der Name Trimble sind eingetragene Marken von Trimble Navigation Limited und unterliegen Patenschutzgesetzen in den Vereinigten Staaten und anderen Ländern. Digital Fieldbook und Trimble Geomatics Office sind Marken von Trimble Navigation Limited. Interlock und Recon sind eingetragene Marken von Tripod Data Systems, Inc., einer hundertprozentigen Tochtergesellschaft von Trimble Navigation Limited. Microsoft und Windows sind Marken oder eingetragene Marken der Microsoft Corporation in den Vereinigten Staaten oder anderen Ländern. Alle anderen Marken sind Eigentum der jeweiligen Inhaber.

Versionshinweise

Dies ist die Hilfe für Version 2.08 von Trimble® Feature Definition Manager.